import BsBaseComponent from './base';
import { Modal } from 'bootstrap';
import type BsModalBodyComponent from './modal/body';
import type BsModalFooterComponent from './modal/footer';
import type { WithBoundArgs } from '@glint/template';
export interface BsModalComponentSignature {
    Element: HTMLDivElement;
    Args: {
        title?: string;
        size?: 'sm' | 'lg' | 'xl';
        static?: boolean;
        keyboard?: boolean;
        focus?: boolean;
        scroll?: boolean;
        fullscreen?: boolean;
        hideClose?: boolean;
        onClose: (...args: never[]) => unknown;
    };
    Blocks: {
        default: [
            {
                body: WithBoundArgs<typeof BsModalBodyComponent, never>;
                footer: WithBoundArgs<typeof BsModalFooterComponent, never>;
            }
        ];
    };
}
export default class BsModalComponent extends BsBaseComponent<BsModalComponentSignature> {
    modal?: Modal;
    didInsert(element: Element): void;
    willDestroy(): void;
}
declare module '@glint/environment-ember-loose/registry' {
    export default interface Registry {
        'Bs::Modal': typeof BsModalComponent;
    }
}
//# sourceMappingURL=modal.d.ts.map