import BsBaseComponent from './base';
import { Toast } from 'bootstrap';
import type BsToastHeaderComponent from './toast/header';
import type BsToastBodyComponent from './toast/body';
import type { WithBoundArgs } from '@glint/template';
export interface BsToastComponentSignature {
    Element: HTMLElement;
    Args: {
        onClose?: () => void;
    };
    Blocks: {
        default: [
            {
                header: WithBoundArgs<typeof BsToastHeaderComponent, never>;
                body: WithBoundArgs<typeof BsToastBodyComponent, never>;
            }
        ];
    };
}
export default class BsToastComponent extends BsBaseComponent<BsToastComponentSignature> {
    toast?: Toast;
    didInsert(element: Element): void;
    willDestroy(): void;
}
declare module '@glint/environment-ember-loose/registry' {
    export default interface Registry {
        'Bs::Toast': typeof BsToastComponent;
    }
}
//# sourceMappingURL=toast.d.ts.map